This is the documentation for the latest (main) development branch of Zephyr. If you are looking for the documentation of previous releases, use the drop-down menu on the left and select the desired version.

CONFIG_COMPAT_INCLUDES

Suppress warnings when using header shims

Type: bool

Help

Suppress any warnings from the pre-processor when including
deprecated header files.

Default

  • y

Kconfig definition

At Kconfig.zephyr:622

Included via Kconfig:8

Menu path: (Top) → Compatibility

config COMPAT_INCLUDES
    bool "Suppress warnings when using header shims"
    default y
    help
      Suppress any warnings from the pre-processor when including
      deprecated header files.

(The ‘depends on’ condition includes propagated dependencies from ifs and menus.)